com.amazonaws.codegen.protocol

## Class RestJsonProtocolMetdataProvider

- java.lang.Object
- - com.amazonaws.codegen.protocol.BaseProtocolMetadataProvider
  - - com.amazonaws.codegen.protocol.BaseJsonProtocolMetadataProvider
    - - com.amazonaws.codegen.protocol.RestJsonProtocolMetdataProvider

All Implemented Interfaces:
  ProtocolMetadataProvider

    public class RestJsonProtocolMetdataProvider
    extends BaseJsonProtocolMetadataProvider

### Constructor Summary

Constructors
Constructor and Description
`RestJsonProtocolMetdataProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContentType()` For Rest-JSON, sending an empty content type is our best option.

### Methods inherited from class com.amazonaws.codegen.protocol.BaseJsonProtocolMetadataProvider

`getExceptionUnmarshallerImpl, getUnmarshallerClassSuffix, getUnmarshallerContextClassName, isJsonProtocol`

### Methods inherited from class com.amazonaws.codegen.protocol.BaseProtocolMetadataProvider

`getBaseExceptionFqcn, getRequestBaseFqcn, isCborProtocol, isIonProtocol, isXmlProtocol`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestJsonProtocolMetdataProvider

    public RestJsonProtocolMetdataProvider()

### Method Detail

#### getContentType

    public String getContentType()

For Rest-JSON, sending an empty content type is our best option. See TT0059807265.

Specified by:
  `getContentType` in interface `ProtocolMetadataProvider`
Overrides:
  `getContentType` in class `BaseProtocolMetadataProvider`
Returns:
  The content type to use when sending requests. Currently only respected by JSON protocols.